/* cookies操作 */
function WriteCookies(ckey, ctext)
{
     if(ckey =='') { return false; }
     var strTk = ckey + "="; 
     var strTv = encodeURIComponent(ctext);

     var expiresTime=new Date(); 
     expiresTime.setTime(expiresTime.getTime() + 86400000);
 
     document.cookie = strTk + strTv + ";expires=" + expiresTime.toGMTString();
     return true;
}

function WriteCookiesByName(ckey, cname, ctext)
{
     if(ckey =='') { return false; }
     if(cname =='') { return false; }

     var strTk = ckey + "="; 
     var strTn = cname + "=";
     var strTv = encodeURIComponent(ctext);

     var expiresTime=new Date(); 
     expiresTime.setTime(expiresTime.getTime() + 86400000);

     var strCookie = document.cookie;    
     if(strCookie.indexOf(strTk) >= 0) 
     {
        var strTemp = strCookie.substring(strCookie.indexOf(strTk) + strTk.length);
        var strTvalue = strTemp;
        if(strTemp.indexOf(";") >= 0)
        {
            strTvalue = strTemp.substring(0,strTemp.indexOf(";"));
        }
        var strTv1 = strTvalue;
        if(strTvalue.indexOf(strTn) >= 0)
        { 
            strTemp = strTvalue.substring(strTvalue.indexOf(strTn) + strTn.length);
            if(strTemp.indexOf("&") >= 0)
            {
                strTvalue = strTemp.substring(0,strTemp.indexOf("&"));
            }
            else
            {
                strTvalue = strTemp;
            }
            document.cookie = strTk + strTv1.replace(strTvalue, strTv) + ";expires=" + expiresTime.toGMTString();
        }
        else
        {
            document.cookie = strTk + strTv1 + "&" + strTn + strTv + ";expires=" + expiresTime.toGMTString();
        }
     }
     else
     {
         document.cookie = strTk + strTn + strTv + ";expires=" + expiresTime.toGMTString();
     }
     return true; 
}

function ShowCookies(strTk)
{
      var strCookie = document.cookie;
      var strTT = strTk + "="; 
      var strTvalue = "";

      if(strCookie.indexOf(strTT) >= 0) 
      {
        var strTemp=strCookie.substring(strCookie.indexOf(strTT) + strTT.length);
        strTvalue = strTemp;
        if(strTemp.indexOf(";") >= 0)
        {
            strTvalue = strTemp.substring(0,strTemp.indexOf(";"));
        }
        if(strTvalue.length > 0)
        {
            strTvalue = decodeURIComponent(strTvalue);
        }
      } 
      return strTvalue; 
}

function ShowCookiesByName(strTk, strTn)
{
      var strCookie = document.cookie;
      var strTT = strTk + "=";
      var strTvalue = "";
      if(strCookie.indexOf(strTT) >= 0) 
      {
        var strTemp=strCookie.substring(strCookie.indexOf(strTT) + strTT.length);
        strTvalue = strTemp;
        if(strTemp.indexOf(";") >= 0)
        {
            strTvalue = strTemp.substring(0,strTemp.indexOf(";"));
        }
        if(strTvalue.length > 1)
        {
            strTT = strTn + "=";
            if(strTvalue.indexOf(strTT) >= 0)
            { 
                strTemp = strTvalue.substring(strTvalue.indexOf(strTT) + strTT.length);
                if(strTemp.indexOf("&") >= 0)
                {
                    strTvalue = strTemp.substring(0,strTemp.indexOf("&"));
                }
                else
                {
                    strTvalue = strTemp;
                }
            }
            else
            {
                strTvalue = "";
            }
        }
        if(strTvalue.length > 0)
        {
            strTvalue = decodeURIComponent(strTvalue);
        }
      }
      return strTvalue; 
}